# class KHTMLImage |
Definition | `#include <khtmlimage.h>`
Inherits | KParts::ReadOnlyPart (kparts) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KHTMLImage ( QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name )
- virtual ~KHTMLImage ()
- virtual bool openFile ()
- virtual bool openURL ( const KURL &url )
- virtual bool closeURL ()
- KHTMLPart * doc () const

#### Protected Methods

- virtual void guiActivateEvent ( KParts::GUIActivateEvent *e )

## Detailed Description

KHTMLImage ( QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name ) | ### KHTMLImage

~KHTMLImage () | ### ~KHTMLImage

[virtual]

bool openFile () | ### openFile

[virtual]

Reimplemented from ReadOnlyPart.

bool openURL ( const KURL &url ) | ### openURL

[virtual]

Reimplemented from ReadOnlyPart.

bool closeURL () | ### closeURL

[virtual]

Reimplemented from ReadOnlyPart.

KHTMLPart * doc () | ### doc

[const]

void guiActivateEvent ( KParts::GUIActivateEvent *e ) | ### guiActivateEvent

[protected virtual]

Reimplemented from ReadOnlyPart.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:52 2001, using kdoc 2.0a53.